diff --git a/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java b/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
index 892633eaf..8b6e38fc4 100644
--- a/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
+++ b/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
@@ -877,53 +770,52 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleContainerOpen(@NotNull PacketContainerOpen packetContainerOpen)
-    {
+    public void handleContainerOpen(@NotNull PacketContainerOpen packetContainerOpen) {
         switch (packetContainerOpen.inventoryType) {
             case PacketContainerOpen.TYPE_GENERIC_CONTAINER: {
                 ContainerSimple simpleContainer = new ContainerSimple(packetContainerOpen.windowTitle, packetContainerOpen.slotsCount);
-                mc.thePlayer.displayContainerScreen(simpleContainer);
-                mc.thePlayer.containerMenu.containerId = packetContainerOpen.windowId;
+                this.mc.thePlayer.displayContainerScreen(simpleContainer);
+                this.mc.thePlayer.containerMenu.containerId = packetContainerOpen.windowId;
                 break;
             }
             case PacketContainerOpen.TYPE_FURNACE: {
                 TileEntityFurnace tileEntityFurnace = new TileEntityFurnace();
-                mc.thePlayer.displayFurnaceScreen(tileEntityFurnace);
-                mc.thePlayer.containerMenu.containerId = packetContainerOpen.windowId;
+                this.mc.thePlayer.displayFurnaceScreen(tileEntityFurnace);
+                this.mc.thePlayer.containerMenu.containerId = packetContainerOpen.windowId;
                 break;
             }
             case PacketContainerOpen.TYPE_DISPENSER: {
                 TileEntityDispenser tileEntityDispenser = new TileEntityDispenser();
-                mc.thePlayer.displayDispenserScreen(tileEntityDispenser);
-                mc.thePlayer.containerMenu.containerId = packetContainerOpen.windowId;
+                this.mc.thePlayer.displayDispenserScreen(tileEntityDispenser);
+                this.mc.thePlayer.containerMenu.containerId = packetContainerOpen.windowId;
                 break;
             }
             case PacketContainerOpen.TYPE_ACTIVATOR: {
                 TileEntityActivator tileEntityActivator = new TileEntityActivator();
-                mc.thePlayer.displayActivatorScreen(tileEntityActivator);
-                mc.thePlayer.containerMenu.containerId = packetContainerOpen.windowId;
+                this.mc.thePlayer.displayActivatorScreen(tileEntityActivator);
+                this.mc.thePlayer.containerMenu.containerId = packetContainerOpen.windowId;
                 break;
             }
             case PacketContainerOpen.TYPE_BLAST_FURNACE: {
                 TileEntityFurnaceBlast tileEntityFurnaceBlast = new TileEntityFurnaceBlast();
-                mc.thePlayer.displayBlastFurnaceScreen(tileEntityFurnaceBlast);
-                mc.thePlayer.containerMenu.containerId = packetContainerOpen.windowId;
+                this.mc.thePlayer.displayBlastFurnaceScreen(tileEntityFurnaceBlast);
+                this.mc.thePlayer.containerMenu.containerId = packetContainerOpen.windowId;
                 break;
             }
             case PacketContainerOpen.TYPE_TROMMEL: {
                 TileEntityTrommel tileEntityTrommel = new TileEntityTrommel();
-                mc.thePlayer.displayTrommelScreen(tileEntityTrommel);
-                mc.thePlayer.containerMenu.containerId = packetContainerOpen.windowId;
+                this.mc.thePlayer.displayTrommelScreen(tileEntityTrommel);
+                this.mc.thePlayer.containerMenu.containerId = packetContainerOpen.windowId;
                 break;
             }
             case PacketContainerOpen.TYPE_PAINTING: {
-                mc.thePlayer.displayPaintingPickerScreen();
+                this.mc.thePlayer.displayPaintingPickerScreen();
                 break;
             }
             case PacketContainerOpen.TYPE_CRAFTING: {
-                PlayerLocal playerLocal = mc.thePlayer;
-                mc.thePlayer.displayWorkbenchScreen(new TilePos(playerLocal.x, playerLocal.y, playerLocal.z));
-                mc.thePlayer.containerMenu.containerId = packetContainerOpen.windowId;
+                PlayerLocal playerLocal = this.mc.thePlayer;
+                this.mc.thePlayer.displayWorkbenchScreen(new TilePos(playerLocal.x, playerLocal.y, playerLocal.z));
+                this.mc.thePlayer.containerMenu.containerId = packetContainerOpen.windowId;
                 break;
             }
             default: {
@@ -933,65 +825,46 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleFlagOpen(@NotNull PacketFlagOpen packetFlagOpen)
-    {
-        TileEntity tileEntity = worldClientMP.getTileEntity(packetFlagOpen.x, packetFlagOpen.y, packetFlagOpen.z);
-        if (tileEntity instanceof TileEntityFlag)
-        {
-            TileEntityFlag tileEntityFlag = (TileEntityFlag) tileEntity;
-            mc.thePlayer.displayFlagEditorScreen(tileEntityFlag);
-            mc.thePlayer.containerMenu.containerId = packetFlagOpen.windowId;
+    public void handleFlagOpen(@NotNull PacketFlagOpen packetFlagOpen) {
+        TileEntity tileEntity = this.worldClientMP.getTileEntity(packetFlagOpen.x, packetFlagOpen.y, packetFlagOpen.z);
+        if (tileEntity instanceof TileEntityFlag tileEntityFlag) {
+            this.mc.thePlayer.displayFlagEditorScreen(tileEntityFlag);
+            this.mc.thePlayer.containerMenu.containerId = packetFlagOpen.windowId;
         }
     }
 
     @Override
-    public void handlePhotoMode(@NotNull PacketPhotoMode packetPhotoMode)
-    {
+    public void handlePhotoMode(@NotNull PacketPhotoMode packetPhotoMode) {
         ScreenPause.photoModeDisabled = packetPhotoMode.disabled;
     }
 
     @Override
-    public void handleContainerSetSlot(@NotNull PacketContainerSetSlot packetContainerSetSlot)
-    {
-        if (packetContainerSetSlot.windowId == -1)
-        {
-            mc.thePlayer.inventory.setHeldItemStack(packetContainerSetSlot.myItemStack);
-        }
-        else if (packetContainerSetSlot.windowId == 0 && packetContainerSetSlot.itemSlot >= 36 && packetContainerSetSlot.itemSlot < 45)
-        {
-            ItemStack itemstack = mc.thePlayer.inventoryMenu.getSlot(packetContainerSetSlot.itemSlot).getItemStack();
-            if (packetContainerSetSlot.myItemStack != null && (itemstack == null || itemstack.stackSize < packetContainerSetSlot.myItemStack.stackSize))
-            {
+    public void handleContainerSetSlot(@NotNull PacketContainerSetSlot packetContainerSetSlot) {
+        if (packetContainerSetSlot.windowId == -1) {
+            this.mc.thePlayer.inventory.setHeldItemStack(packetContainerSetSlot.myItemStack);
+        } else if (packetContainerSetSlot.windowId == 0 && packetContainerSetSlot.itemSlot >= 36 && packetContainerSetSlot.itemSlot < 45) {
+            ItemStack itemstack = this.mc.thePlayer.inventoryMenu.getSlot(packetContainerSetSlot.itemSlot).getItemStack();
+            if (packetContainerSetSlot.myItemStack != null && (itemstack == null || itemstack.stackSize < packetContainerSetSlot.myItemStack.stackSize)) {
                 packetContainerSetSlot.myItemStack.animationsToGo = 5;
             }
-            mc.thePlayer.inventoryMenu.setItem(packetContainerSetSlot.itemSlot, packetContainerSetSlot.myItemStack);
-        }
-        else if (packetContainerSetSlot.windowId == mc.thePlayer.containerMenu.containerId)
-        {
-            mc.thePlayer.containerMenu.setItem(packetContainerSetSlot.itemSlot, packetContainerSetSlot.myItemStack);
+            this.mc.thePlayer.inventoryMenu.setItem(packetContainerSetSlot.itemSlot, packetContainerSetSlot.myItemStack);
+        } else if (packetContainerSetSlot.windowId == this.mc.thePlayer.containerMenu.containerId) {
+            this.mc.thePlayer.containerMenu.setItem(packetContainerSetSlot.itemSlot, packetContainerSetSlot.myItemStack);
         }
     }
 
     @Override
-    public void handleContainerAck(@NotNull PacketContainerAck packetContainerAck)
-    {
+    public void handleContainerAck(@NotNull PacketContainerAck packetContainerAck) {
         MenuAbstract container = null;
-        if (packetContainerAck.windowId == 0)
-        {
-            container = mc.thePlayer.inventoryMenu;
-        }
-        else if (packetContainerAck.windowId == mc.thePlayer.containerMenu.containerId)
-        {
-            container = mc.thePlayer.containerMenu;
-        }
-        if (container != null)
-        {
-            if (packetContainerAck.accepted)
-            {
+        if (packetContainerAck.windowId == 0) {
+            container = this.mc.thePlayer.inventoryMenu;
+        } else if (packetContainerAck.windowId == this.mc.thePlayer.containerMenu.containerId) {
+            container = this.mc.thePlayer.containerMenu;
+        }
+        if (container != null) {
+            if (packetContainerAck.accepted) {
                 container.deleteBackup(packetContainerAck.shortWindowId);
-            }
-            else
-            {
+            } else {
                 container.rollbackToBackup(packetContainerAck.shortWindowId);
                 addToSendQueue(new PacketContainerAck(packetContainerAck.windowId, packetContainerAck.shortWindowId, true));
             }
@@ -999,34 +872,26 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleContainerSetContent(@NotNull PacketContainerSetContent packetContainerSetContent)
-    {
-        if (packetContainerSetContent.windowId == 0)
-        {
-            mc.thePlayer.inventoryMenu.setAll(packetContainerSetContent.stackList);
-        }
-        else if (packetContainerSetContent.windowId == mc.thePlayer.containerMenu.containerId)
-        {
-            mc.thePlayer.containerMenu.setAll(packetContainerSetContent.stackList);
+    public void handleContainerSetContent(@NotNull PacketContainerSetContent packetContainerSetContent) {
+        if (packetContainerSetContent.windowId == 0) {
+            this.mc.thePlayer.inventoryMenu.setAll(packetContainerSetContent.stackList);
+        } else if (packetContainerSetContent.windowId == this.mc.thePlayer.containerMenu.containerId) {
+            this.mc.thePlayer.containerMenu.setAll(packetContainerSetContent.stackList);
         }
     }
 
     @Override
-    public void handleContainerSetData(@NotNull PacketContainerSetData packetContainerSetData)
-    {
+    public void handleContainerSetData(@NotNull PacketContainerSetData packetContainerSetData) {
         handleInvalidPacket(packetContainerSetData);
-        if (mc.thePlayer.containerMenu != null && mc.thePlayer.containerMenu.containerId == packetContainerSetData.windowId)
-        {
-            mc.thePlayer.containerMenu.setData(packetContainerSetData.progressBar, packetContainerSetData.progressBarValue);
+        if (this.mc.thePlayer.containerMenu != null && this.mc.thePlayer.containerMenu.containerId == packetContainerSetData.windowId) {
+            this.mc.thePlayer.containerMenu.setData(packetContainerSetData.progressBar, packetContainerSetData.progressBarValue);
         }
     }
 
     @Override
-    public void handleSetEquippedItem(@NotNull PacketSetEquippedItem packetSetEquippedItem)
-    {
+    public void handleSetEquippedItem(@NotNull PacketSetEquippedItem packetSetEquippedItem) {
         Entity entity = getEntityByID(packetSetEquippedItem.entityID);
-        if (entity != null)
-        {
+        if (entity != null) {
             entity.setEquippedSlot(packetSetEquippedItem.slot, packetSetEquippedItem.itemID, packetSetEquippedItem.itemMeta, packetSetEquippedItem.itemData);
         }
     }
@@ -1040,87 +905,76 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleContainerClose(@NotNull PacketContainerClose packetContainerClose)
-    {
-        mc.thePlayer.closeScreen();
+    public void handleContainerClose(@NotNull PacketContainerClose packetContainerClose) {
+        this.mc.thePlayer.closeScreen();
     }
 
     @Override
-    public void handleBlockEvent(@NotNull PacketBlockEvent packetBlockEvent)
-    {
-        mc.currentWorld.triggerEvent(packetBlockEvent.xLocation, packetBlockEvent.yLocation, packetBlockEvent.zLocation, packetBlockEvent.index, packetBlockEvent.data);
+    public void handleBlockEvent(@NotNull PacketBlockEvent packetBlockEvent) {
+        this.mc.currentWorld.triggerEvent(packetBlockEvent.xLocation, packetBlockEvent.yLocation, packetBlockEvent.zLocation, packetBlockEvent.index, packetBlockEvent.data);
     }
 
     @Override
-    public void handleBedMessage(@NotNull PacketBedMessage packetBedMessage)
-    {
+    public void handleBedMessage(@NotNull PacketBedMessage packetBedMessage) {
         int state = packetBedMessage.bedState;
-        if (state >= 0 && state < PacketBedMessage.BED_MESSAGE_KEYS.length && PacketBedMessage.BED_MESSAGE_KEYS[state] != null)
-        {
-            mc.thePlayer.sendTranslatedChatMessage(PacketBedMessage.BED_MESSAGE_KEYS[state]);
+        if (state >= 0 && state < PacketBedMessage.BED_MESSAGE_KEYS.length && PacketBedMessage.BED_MESSAGE_KEYS[state] != null) {
+            this.mc.thePlayer.sendTranslatedChatMessage(PacketBedMessage.BED_MESSAGE_KEYS[state]);
         }
     }
 
     @Override
-    public void handleMapData(@NotNull PacketMapData packetMapData)
-    {
-        if (packetMapData.itemId == Items.MAP.id)
-        {
-            ItemMap.getOrCreateSavedData(packetMapData.meta, packetMapData.scale, mc.currentWorld).setColors(packetMapData.mapData).setMapWaypoints(packetMapData.waypoints);
-        }
-        else
-        {
+    public void handleMapData(@NotNull PacketMapData packetMapData) {
+        if (packetMapData.itemId == Items.MAP.id) {
+            ItemMap.getOrCreateSavedData(packetMapData.meta, packetMapData.scale, this.mc.currentWorld).setColors(packetMapData.mapData).setMapWaypoints(packetMapData.waypoints);
+        } else {
             LOGGER.warn("Unexpected itemId: {}", packetMapData.itemId);
         }
     }
 
     @Override
-    public void handlePlaySoundEffect(@NotNull PacketPlaySound packetPlaySound)
-    {
-        mc.currentWorld.playBlockEvent(packetPlaySound.soundID, packetPlaySound.x, packetPlaySound.y, packetPlaySound.z, packetPlaySound.data);
+    public void handlePlaySoundEffect(@NotNull PacketPlaySound packetPlaySound) {
+        this.mc.currentWorld.playBlockEvent(packetPlaySound.soundID, packetPlaySound.x, packetPlaySound.y, packetPlaySound.z, packetPlaySound.data);
     }
 
-	@Override
-	public void handlePlaySoundDirectly(@NotNull PacketPlaySoundDirect packet) {
-		String soundPath = SoundTypes.getSoundById(packet.soundId);
-		if(soundPath == null) {
-			return;
-		}
-		mc.sndManager.playSoundAt(soundPath, packet.soundType, (float) packet.x, (float) packet.y, (float) packet.z, packet.volume, packet.pitch);
-	}
-    
     @Override
-    public void handleAddParticle(@NotNull PacketAddParticle packetAddParticle)
-    {
-        if (packetAddParticle.isGroup){
+    public void handlePlaySoundDirectly(@NotNull PacketPlaySoundDirect packet) {
+        String soundPath = SoundTypes.getSoundById(packet.soundId);
+        if (soundPath == null) {
+            return;
+        }
+        this.mc.sndManager.playSoundAt(soundPath, packet.soundType, (float) packet.x, (float) packet.y, (float) packet.z, packet.volume, packet.pitch);
+    }
+
+    @Override
+    public void handleAddParticle(@NotNull PacketAddParticle packetAddParticle) {
+        if (packetAddParticle.isGroup) {
             for (int i = 0; i < packetAddParticle.amount; i++) {
-                mc.renderGlobal.addParticle(packetAddParticle.particleKey,
-                        packetAddParticle.x + rand.nextDouble() * packetAddParticle.randOffX,
-                        packetAddParticle.y + rand.nextDouble() * packetAddParticle.randOffY,
-                        packetAddParticle.z + rand.nextDouble() * packetAddParticle.randOffZ,
-                        packetAddParticle.motionX + rand.nextGaussian() * packetAddParticle.randMotionX,
-                        packetAddParticle.motionY + rand.nextGaussian() * packetAddParticle.randMotionY,
-                        packetAddParticle.motionZ + rand.nextGaussian() * packetAddParticle.randMotionZ,
-                        packetAddParticle.data,
-                        packetAddParticle.maxDistance);
-            }
-        } else {
-            mc.renderGlobal.addParticle(packetAddParticle.particleKey,
-                    packetAddParticle.x,
-                    packetAddParticle.y,
-                    packetAddParticle.z,
-                    packetAddParticle.motionX,
-                    packetAddParticle.motionY,
-                    packetAddParticle.motionZ,
+                this.mc.renderGlobal.addParticle(packetAddParticle.particleKey,
+                    packetAddParticle.x + this.rand.nextDouble() * packetAddParticle.randOffX,
+                    packetAddParticle.y + this.rand.nextDouble() * packetAddParticle.randOffY,
+                    packetAddParticle.z + this.rand.nextDouble() * packetAddParticle.randOffZ,
+                    packetAddParticle.motionX + this.rand.nextGaussian() * packetAddParticle.randMotionX,
+                    packetAddParticle.motionY + this.rand.nextGaussian() * packetAddParticle.randMotionY,
+                    packetAddParticle.motionZ + this.rand.nextGaussian() * packetAddParticle.randMotionZ,
                     packetAddParticle.data,
                     packetAddParticle.maxDistance);
+            }
+        } else {
+            this.mc.renderGlobal.addParticle(packetAddParticle.particleKey,
+                packetAddParticle.x,
+                packetAddParticle.y,
+                packetAddParticle.z,
+                packetAddParticle.motionX,
+                packetAddParticle.motionY,
+                packetAddParticle.motionZ,
+                packetAddParticle.data,
+                packetAddParticle.maxDistance);
         }
 
     }
 
     @Override
-    public void handleStatistic(final @NotNull PacketStatistic packetStatistic)
-    {
+    public void handleStatistic(final @NotNull PacketStatistic packetStatistic) {
         NamespaceID id;
         try {
             id = NamespaceID.fromPool(packetStatistic.statID);
@@ -1134,14 +988,13 @@ public class PacketHandlerClient extends PacketHandler
             return;
         }
         if (stat.clientside) return; // Don't allow server to give client side only stats
-        mc.thePlayer.addStat(stat, packetStatistic.valueChange);
+        this.mc.thePlayer.addStat(stat, packetStatistic.valueChange);
     }
 
     @Override
-    public void handlePlayerGamemode(@NotNull PacketPlayerGamemode packet)
-    {
+    public void handlePlayerGamemode(@NotNull PacketPlayerGamemode packet) {
         Entity entity = getEntityByID(packet.entityId);
-        if (entity instanceof Player){
+        if (entity instanceof Player) {
             final @Nullable Gamemode gamemodeFromPacket = Registries.GAMEMODES.getItem(packet.gamemodeId);
             if (gamemodeFromPacket != null) {
                 ((Player) entity).setGamemode(gamemodeFromPacket);
@@ -1150,8 +1003,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleEntityNickname(@NotNull PacketEntityNickname packetEntityNickname)
-    {
+    public void handleEntityNickname(@NotNull PacketEntityNickname packetEntityNickname) {
         Entity entity = getEntityByID(packetEntityNickname.entityId);
 
         if (entity instanceof Mob) {
@@ -1161,40 +1013,34 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public boolean isServerHandler()
-    {
+    public boolean isServerHandler() {
         return false;
     }
-    
+
     @Override
     public void handleSetCarriedItem(@NotNull PacketSetCarriedItem packetSetCarriedItem) {
-        mc.thePlayer.inventory.setCurrentSlot(packetSetCarriedItem.id, true);
+        this.mc.thePlayer.inventory.setCurrentSlot(packetSetCarriedItem.id, true);
     }
 
     @Override
-    public void handleTileEntityData(@NotNull PacketTileEntityData packetTileEntityData)
-    {
+    public void handleTileEntityData(@NotNull PacketTileEntityData packetTileEntityData) {
         Class<?> clazz = TileEntityDispatcher.getClassFromID(packetTileEntityData.tag.getString("id"));
         if (clazz == null) return;
-        TileEntity existingTileEntity = worldClientMP.getTileEntity(packetTileEntityData.tag.getInteger("x"), packetTileEntityData.tag.getInteger("y"), packetTileEntityData.tag.getInteger("z"));
-        if (existingTileEntity == null || existingTileEntity.getClass() != clazz)
-        {
+        TileEntity existingTileEntity = this.worldClientMP.getTileEntity(packetTileEntityData.tag.getInteger("x"), packetTileEntityData.tag.getInteger("y"), packetTileEntityData.tag.getInteger("z"));
+        if (existingTileEntity == null || existingTileEntity.getClass() != clazz) {
             TileEntity tileEntity = TileEntityDispatcher.createAndLoadEntity(packetTileEntityData.tag);
-            if (tileEntity != null)
-            {
-                mc.currentWorld.setTileEntity(tileEntity.x, tileEntity.y, tileEntity.z, tileEntity);
+            if (tileEntity != null) {
+                this.mc.currentWorld.setTileEntity(tileEntity.x, tileEntity.y, tileEntity.z, tileEntity);
             }
-        }
-        else
-        {
+        } else {
             existingTileEntity.readFromNBT(packetTileEntityData.tag);
         }
-        worldClientMP.markBlockDirty(packetTileEntityData.tag.getInteger("x"), packetTileEntityData.tag.getInteger("y"), packetTileEntityData.tag.getInteger("z"));
+        this.worldClientMP.markBlockDirty(packetTileEntityData.tag.getInteger("x"), packetTileEntityData.tag.getInteger("y"), packetTileEntityData.tag.getInteger("z"));
     }
 
     @Override
     public void handleGameRule(@NotNull PacketGameRule packet) {
-        LevelData levelData = mc.currentWorld.getLevelData();
+        LevelData levelData = this.mc.currentWorld.getLevelData();
         if (packet.getGameRules() != null) {
             levelData.getGameRules().setValues(packet.getGameRules());
         }
@@ -1202,11 +1048,11 @@ public class PacketHandlerClient extends PacketHandler
 
     @Override
     public void handleRecipeSync(@NotNull PacketRecipeSync packetRecipeSync) {
-        if(Registries.RECIPES.getAllSerializableRecipes().isEmpty()){
+        if (Registries.RECIPES.getAllSerializableRecipes().isEmpty()) {
             LOGGER.info("Receiving {} recipes from server..", packetRecipeSync.maxRecipes);
         }
         DataLoader.loadRecipeFromServer(packetRecipeSync);
-        if(Registries.RECIPES.getAllSerializableRecipes().size() == packetRecipeSync.maxRecipes){
+        if (Registries.RECIPES.getAllSerializableRecipes().size() == packetRecipeSync.maxRecipes) {
             LOGGER.info("All recipes received!");
             Registries.RECIPES.invalidateCaches();
             GuidebookPageSearch.searchField.setText("_");
@@ -1217,7 +1063,7 @@ public class PacketHandlerClient extends PacketHandler
             ScreenGuidebook.getPageManager().updatePages();
         }
     }
-    
+
     @Override
     public void handleSyncIDs(@NotNull PacketSyncIDs packetSyncIDs) {
         if (packetSyncIDs.destinationId == PacketSyncIDs.DESTINATION_SOUND_IDS) {
@@ -1226,14 +1072,14 @@ public class PacketHandlerClient extends PacketHandler
             EntityDispatcher.getInstance().setNumericIds(packetSyncIDs.mapping);
         }
     }
-    
+
     @Override
     public void handleCustomPayload(@NotNull PacketCustomPayload packetCustomPayload) {
-        if(PacketCustomPayload.CHANNEL_RAINBOW_START.equals(packetCustomPayload.channel)) {
+        if (PacketCustomPayload.CHANNEL_RAINBOW_START.equals(packetCustomPayload.channel)) {
 //            System.out.printf("b0:%s b1:%s b2:%s b3:%s\n", packet.data[0], packet.data[1], packet.data[2], packet.data[3]);
             int rainbowTicks = Byte.toUnsignedInt(packetCustomPayload.data[0]) << 24 | Byte.toUnsignedInt(packetCustomPayload.data[1]) << 16 | Byte.toUnsignedInt(packetCustomPayload.data[2]) << 8 | Byte.toUnsignedInt(packetCustomPayload.data[3]);
 //            System.out.println("Added rainbow with " + rainbowTicks + " ticks");
-            worldClientMP.addRainbow(rainbowTicks);
+            this.worldClientMP.addRainbow(rainbowTicks);
         }
     }
 
diff --git a/game/client/src/main/java/net/minecraft/client/net/thread/ThreadDownloadResources.java b/game/client/src/main/java/net/minecraft/client/net/thread/ThreadDownloadResources.java
index 19b3025f6..dd0cf79de 100644
--- a/game/client/src/main/java/net/minecraft/client/net/thread/ThreadDownloadResources.java
+++ b/game/client/src/main/java/net/minecraft/client/net/thread/ThreadDownloadResources.java
@@ -6,7 +6,6 @@ import static com.b100.utils.StreamUtils.*;
 import java.io.BufferedInputStream;
 import java.io.BufferedOutputStream;
 import java.io.File;
-import java.net.URL;
 import java.nio.file.Files;
 import java.util.ArrayList;
 import java.util.List;
@@ -19,6 +18,7 @@ import com.b100.xml.element.XmlContentTag;
 import com.b100.xml.element.XmlTag;
 import com.mojang.logging.LogUtils;
 import net.minecraft.client.Minecraft;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.sound.SoundEngine;
 import net.minecraft.client.sound.SoundRepository;
 import net.minecraft.core.net.CertificateHelper;
@@ -53,7 +53,7 @@ public class ThreadDownloadResources extends Thread {
         try {
             // Copy files out of jar
             for (String extractResource : extractFiles) {
-                File output = new File(resourcesFolder, "minecraft/sounds/" + extractResource);
+                File output = new File(this.resourcesFolder, "minecraft/sounds/" + extractResource);
                 if (!output.exists()) {
                     transferDataAndClose(ThreadDownloadResources.class.getResourceAsStream("/assets/minecraft/sounds/" + extractResource), Files.newOutputStream(createNewFile(output).toPath()));
                 }
@@ -64,13 +64,13 @@ public class ThreadDownloadResources extends Thread {
         }
 
         try {
-            if (mc.gameSettings.downloadSoundfiles.value) {
+            if (GameSettings.DOWNLOAD_SOUNDFILES.value) {
                 LOGGER.info("Downloading sounds...");
                 try {
                     downloadResources();
                 } catch (Exception e) {
-                    downloading = ThreadDownloadState.ERROR;
-                    timeOfError = System.currentTimeMillis();
+                    this.downloading = ThreadDownloadState.ERROR;
+                    this.timeOfError = System.currentTimeMillis();
                     LOGGER.error("Error downloading sounds...", e);
                 }
             }
@@ -103,10 +103,10 @@ public class ThreadDownloadResources extends Thread {
                 String fileName = remapDirectory(name);
                 long size = tag.getAsContentTag().get("Size").getAsStringTag().getLong();
 
-                File soundFile = new File(resourcesFolder, "minecraft/sounds/" + fileName);
+                File soundFile = new File(this.resourcesFolder, "minecraft/sounds/" + fileName);
                 soundFile.mkdirs();
 
-                if (!soundFile.isFile() || (!mc.gameSettings.allowSoundOverrides.value && soundFile.length() != size)) {
+                if (!soundFile.isFile() || (!GameSettings.ALLOW_SOUND_OVERRIDES.value && soundFile.length() != size)) {
                     entries.add(new SoundEntry(soundFile, name, size));
                 }
             }
@@ -116,13 +116,13 @@ public class ThreadDownloadResources extends Thread {
             return;
         }
 
-        downloading = ThreadDownloadState.DOWNLOADING;
-        toDownload = entries.size();
+        this.downloading = ThreadDownloadState.DOWNLOADING;
+        this.toDownload = entries.size();
 
         for (SoundEntry soundEntry : entries) {
             try {
                 downloadSoundFile(soundEntry.name, soundEntry.file);
-                downloadProgress.incrementAndGet();
+                this.downloadProgress.incrementAndGet();
             } catch (Exception e) {
                 throw new RuntimeException("Error downloading sound file: " + soundEntry.name, e);
             }
@@ -130,9 +130,9 @@ public class ThreadDownloadResources extends Thread {
         SoundRepository.reload();
         this.mc.sndManager.destroy();
         this.mc.sndManager = new SoundEngine();
-        this.mc.sndManager.init(this.mc.gameSettings);
+        this.mc.sndManager.init();
 
-        downloading = ThreadDownloadState.IDLE;
+        this.downloading = ThreadDownloadState.IDLE;
     }
 
     private String remapDirectory(String path) {
@@ -161,21 +161,11 @@ public class ThreadDownloadResources extends Thread {
         transferDataAndClose(new BufferedInputStream(CertificateHelper.getWebsiteAsStream(url)), new BufferedOutputStream(Files.newOutputStream(createNewFile(file).toPath())));
     }
 
-    private static class SoundEntry {
-        private final File file;
-        private final String name;
-        private final long size;
+    private record SoundEntry(File file, String name, long size) { }
 
-        public SoundEntry(File file, String name, long size) {
-            this.file = file;
-            this.name = name;
-            this.size = size;
-        }
-    }
-
-    public static enum ThreadDownloadState {
+    public enum ThreadDownloadState {
         IDLE,
         DOWNLOADING,
-        ERROR;
+        ERROR
     }
 }
